How to Use & Access GPT-4 for Free
You may already be using ChatGPT, the phenomenally powerful and useful AI tool, but the free version is based on GPT-3.5. GPT-4 is said to be ten times more advanced, with enhanced creativity, reliability, up-to-date information, and an ability to interpret more nuanced instructions, so it’s understandable why users would like to explore and experience … Read More ⌘ Read more
@eapl.me@eapl.me are ISPs still injecting code into HTTP in this the year 2023? I remember getting notices that my comcast modem is out of date pushed into websites back a decade ago.
Date Line
⌘ Read more
Date Line
⌘ Read more
@abucci@anthony.buc.ci my last experience with it was with a Debian package which is known for being out of date :-D
An official FBI document dated January 2021, obtained by the American association “Property of People” through the Freedom of Information Act.

This document summarizes the possibilities for legal access to data from nine instant messaging services: iMessage, Line, Signal, Telegram, Threema, Viber, WeChat, WhatsApp and Wickr. For each software, different judicial methods are explored, such as subpoena, search warrant, active collection of communications metadata (“Pen Register”) or connection data retention law (“18 USC§2703”). Here, in essence, is the information the FBI says it can retrieve:
Apple iMessage: basic subscriber data; in the case of an iPhone user, investigators may be able to get their hands on message content if the user uses iCloud to synchronize iMessage messages or to back up data on their phone.
Line: account data (image, username, e-mail address, phone number, Line ID, creation date, usage data, etc.); if the user has not activated end-to-end encryption, investigators can retrieve the texts of exchanges over a seven-day period, but not other data (audio, video, images, location).
Signal: date and time of account creation and date of last connection.
Telegram: IP address and phone number for investigations into confirmed terrorists, otherwise nothing.
Threema: cryptographic fingerprint of phone number and e-mail address, push service tokens if used, public key, account creation date, last connection date.
Viber: account data and IP address used to create the account; investigators can also access message history (date, time, source, destination).
WeChat: basic data such as name, phone number, e-mail and IP address, but only for non-Chinese users.
WhatsApp: the targeted person’s basic data, address book and contacts who have the targeted person in their address book; it is possible to collect message metadata in real time (“Pen Register”); message content can be retrieved via iCloud backups.
Wickr: Date and time of account creation, types of terminal on which the application is installed, date of last connection, number of messages exchanged, external identifiers associated with the account (e-mail addresses, telephone numbers), avatar image, data linked to adding or deleting.
TL;DR Signal is the messaging system that provides the least information to investigators.
** summer’s lease hath all too short a date **
After the excitement of last summer I was hopeful for a chill one this year. So far, so good.
We visited the island where we used to live and started our family. We saw a few friends, and visited some fa … ⌘ Read more
Announcing the Stale Repos Action
A tool to help you keep your open source catalog organized and up to date. ⌘ Read more
RT by @mind_booster: #COREPERII | The EU Ambassadors just approved setting 6 to 9 June 2024 as the dates for the next European Parliament elections.
#COREPERII | The EU Ambassadors just approved setting 6 to 9 June 2024 as the dates for the next European Parliament elections. ⌘ Read more
Let’s assume for a moment that an answer to a question would be met with so many words you don’t know what the answer was at all. Why? Why do this? Is this a stereotype of academics and philosophers? If so, it’s not a very straight-forward way of thinking, let alone answering a simple question.
Well, I can’t know what’s in these peoples’ minds and hearts. Personally I think it’s a way of dissembling, of sowing doubt, and of maintaining plausible deniability. The strategy is to persuade as many people as possible to change their minds, and then force the remaining people to accept the idea because they think too many other people believe it.
Let’s say you want, for whatever reason, to get a lot of people to accept an idea that you know most people find horrible. The last thing you should do is express the idea clearly and concisely and repeat it over and over again. All you’d accomplish is to cement people’s resistance to you, and label yourself as a person who harbors horrible ideas that they don’t like. So you can’t do that.
What do you do instead? The entire field of “rhetoric”, dating back at least to Plato and Aristotle (400 years BC), is all about this. How to persuade people to accept your idea, even when they resist it. There are way too many techniques to summarize in a twt, but it seems almost obvious that you have to use more words and to use misleading or at least embellished or warped descriptions of things, because that’s the opposite of clearly and concisely expressing yourself, which would directly lead to people rejecting your idea.
That’s how I think of it anyway.
Announcing dates for “Linux Sucks 2023”, “macOS Sucks”, & other events
There’s a lot coming in the weeks ahead! ⌘ Read more
**RT by @mind_booster: Save the date! Feb 13th.
Upcoming webinar: Flexible exceptions - the next step for Europe?
Focus:Open norms and civil law jurisdictions in Europe + a look at the experience of civil law countries in E Asia who have introduced them.
Chair @Senficon
👇🏻
https://www.knowledgerights21.org/news-story/upcoming-webinar-13-february-flexible-copyright-exceptions-the-next-step-for-europe/**
Save the date! Feb 13th.
Upcoming webinar: Flexible exceptions - the next step for Europe?
Focus:Ope … ⌘ Read more
google maps as a dating app
I need to learn how to crash dates that are going nowhere with way too much escalation. That should be fun
[Perl] Date::Holidays::TW 模組的製作與維護 ⌘ Read more
Bad Date
⌘ Read more
Bad Date
⌘ Read more
Build a game this November with Game Off 2022
Save the date! Game Off returns on November 1 for it’s 10th year! 🎉 ⌘ Read more
Build a game this November with Game Off 2022
Save the date! Game Off returns on November 1 for it’s 10th year! 🎉 ⌘ Read more
asbjorn: “Jeg har snart haft en Toki Pon…”
Jeg har snart haft en Toki Pona-hilsen på min tinder profil i over et år.
Stadig ingen tokiponister der vil samtale.
Har heller ikke været på nogle dates… er der måske en sammenhæng? ⌘ Read more
On the go with GitHub Projects on GitHub Mobile (public beta)
Stay connected and up to date on your work with GitHub Projects on GitHub Mobile, now in public beta. ⌘ Read more
Easy Or Hard
⌘ Read more
Easy Or Hard
⌘ Read more
Added a section to my XSLT stylesheet explaining what Atom is. That was the point of making it, but I got carried away with date conversion.
Historical Dates
⌘ Read more
Historical Dates
⌘ Read more
https://twtxt.readthedocs.io/en/latest/user/twtxtfile.html#format-specification fix date format on this twtxt file
JMP: Signup with Cheogram Android
Welcome to JMP.chat! If you are looking for a simple guide on how to sign up for JMP, then you have come to the right place! We will be keeping this guide up-to-date if there is ever a change in how to sign up.
We will first start with signing up from within your Jabber chat application on mobile, where you will never need to leave the client to get set up. I will be using the freedomware Android client Cheogram to do this signup. To star … ⌘ Read more
JMP: Signup with Cheogram Android
Welcome to JMP.chat! If you are looking for a simple guide on how to sign up for JMP, then you have come to the right place! We will be keeping this guide up-to-date if there is ever a change in how to sign up.
We will first start with signing up from within your Jabber chat application on mobile, where you will never need to leave the client to get set up. I will be using the freedomware Android client Cheogram to do this signup. To star … ⌘ Read more
JMP: Signup with Cheogram Android
Welcome to JMP.chat! If you are looking for a simple guide on how to sign up for JMP, then you have come to the right place! We will be keeping this guide up-to-date if there is ever a change in how to sign up.
We will first start with signing up from within your Jabber chat application on mobile, where you will never need to leave the client to get set up. I will be using the freedomware Android client Cheogram to do this signup. To star … ⌘ Read more
Dependabot now alerts for vulnerable GitHub Actions
GitHub Actions gives teams access to powerful, native CI/CD capabilities right next to their code hosted in GitHub. Starting today, GitHub will send a Dependabot alert for vulnerable GitHub Actions, making it even easier to stay up to date and fix security vulnerabilities in your actions workflows. ⌘ Read more
“to limit that rise to 1.5C […] global carbon emissions will have to be reduced by 45% by 2030.
[…]
Instead, we are on course for close to a 14% rise in emissions by that date – which will almost certainly see us shatter the 1.5C guardrail in less than a decade.”
“to limit that rise to 1.5C […] global carbon emissions will have to be reduced by 45% by 2030.
[…]
Instead, we are on course for close to a 14% rise in emissions by that date – which will almost certainly see us shatter the 1.5C guardrai … ⌘ Read more
Hong Kong customs seizes 3.8 tonnes of date rape drug GBL in first half of 2022, dwarfing amount detected over past decade
Despite significant rise in seizures, Customs and Excise Department says Hong Kong has not become a transit hub for illegal drugs. ⌘ Read more
Opening of Hong Kong Palace Museum a milestone in the Jockey Club’s support for the HKSAR in the past 25 years
[Sponsored Article]
The construction of the Hong Kong Palace Museum (HKPM) was funded by a HK$3.5 billion donation from The Hong Kong Jockey Club Charities Trust – the Club’s largest single charity donation to date. The museum will open to the public on 2 July as a highlight of the 25th anniversary of the establishmen … ⌘ Read more
Russia pounds eastern Ukraine as it marks date of Hitler’s invasion
Russia is seeking to seize a vast swathe of eastern Ukraine, the scene of some of the bloodiest fighting in Europe since World War II. ⌘ Read more
Coronavirus: Hong Kong tour group heads to Japan for the first time in more than 2 years after Tokyo eases Covid rules
Ten travellers join seven-day trip organised by EGL Tours, which had previously pushed back the departure date from June 11 to June 15 and then to Wednesday. ⌘ Read more
Prosodical Thoughts: Modernizing XMPP authentication and authorization
We’re excited to announce that we have received funding, from the EU’s
NGI Assure via the NLnet Foundation, to work on
some important enhancements to Prosody and XMPP. Our work will be focusing on
XMPP authentication and authorization, and bringing it up to date with current
and emerging best practices.
What kind of changes are we talking about? Well, there are a few aspects we
are planning to work on. Let’s start with “authent … ⌘ Read more
……………Tetlock data uses AMERICAN DATE FORMAT IN A DATASET
Goofs
⌘ Read more
Goofs
⌘ Read more
Remembering MUD1 - The first multiplayer role playing game on the Internet
The roots of all online RPGs date back to 1978… and a PDP-10 computer. ⌘ Read more
Microsoft Word… for UNIX? Yes. It’s real.
And it all dates back to… Microsoft Xenix. ⌘ Read more
third, let’s look at daygame. if you ask someone out in a social circle/hobby group, that leaves residual social cruft lying around: awkwardness & mutual avoidance. the whole thing is not Done the way it is when you get cleanly rejected on the street. (online dating has a similar quality of Doneness to it, I think, but matches might stack up and old leads might spring to life sometime, but that’s the same with DG).
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
This box is almost a dating profile. https://omg.singles/rQ1qF
to do: go nuclear on a date and explain that im just performing an act, that i studied this in detail and trained myself to do it, that this is a deliberate effort to escape my patheticness
Given that we don’t have a “home phone”, what’s the best way to create a “hunt group” for my partner’s and my cell phones? My first thought is Asterisk on a VPS, but my knowledge of such things is years out of date. Is there a better way?
One year ago to the date I made the lastest update for #phpub2twtxt to github and now 365 days later I have published #pixelblog as its successor - lets see where things are going for trip around the sun
My blog(s) just got a new feature: A link to the current day archive (🇩🇪). There it is possible to see posts on today’s date in earlier years. Even more features are linked on my More (🇩🇪) page, by the way. ⌘ Read more